commit 22ce6e2dbc5a1aa76782e9502c6de62b1635c6d9
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Nov 5 23:55:08 2024 +0000

    libstdc++: Fix typo in comment in hashtable.h
    
    And tweak grammar in a couple of comments.
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/hashtable.h: Fix spelling in comment.
    
    (cherry picked from commit bcf40c70f8b0fbc54ec14adea31f274e1791b1ed)

diff --git a/libstdc++-v3/include/bits/hashtable.h b/libstdc++-v3/include/bits/hashtable.h
index f48f3651f18..5050f34f999 100644
--- a/libstdc++-v3/include/bits/hashtable.h
+++ b/libstdc++-v3/include/bits/hashtable.h
@@ -336,7 +336,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
       struct __hash_code_base_access : __hash_code_base
       { using __hash_code_base::_M_bucket_index; };
 
-      // To get bucket index we need _RangeHash not to throw.
+      // To get bucket index we need _RangeHash to be non-throwing.
       static_assert(is_nothrow_default_constructible<_RangeHash>::value,
 		    "Functor used to map hash code to bucket index"
 		    " must be nothrow default constructible");
@@ -345,7 +345,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
 		    "Functor used to map hash code to bucket index must be"
 		    " noexcept");
 
-      // To compute bucket index we also need _ExtratKey not to throw.
+      // To compute bucket index we also need _ExtractKey to be non-throwing.
       static_assert(is_nothrow_default_constructible<_ExtractKey>::value,
 		    "_ExtractKey must be nothrow default constructible");
       static_assert(noexcept(

